Warning, /packaging/flatpak-kde-applications/org.kde.umbrello.json is written in an unsupported language. File is not indexed.

0001 {
0002     "id": "org.kde.umbrello",
0003     "branch": "master",
0004     "base": "io.qt.qtwebkit.BaseApp",
0005     "base-version": "5.15",
0006     "runtime": "org.kde.Platform",
0007     "runtime-version": "5.15-21.08",
0008     "sdk": "org.kde.Sdk",
0009     "command": "umbrello5",
0010     "tags": ["nightly"],
0011     "desktop-file-name-suffix": " (Nightly)",
0012     "finish-args": ["--share=ipc", "--socket=x11", "--socket=wayland" ],
0013 
0014     "modules": [
0015         {
0016             "config-opts": [ "-DENABLE_TESTING=OFF" ],
0017             "name": "kdelibs4support",
0018             "buildsystem": "cmake-ninja",
0019             "sources": [
0020                 {
0021                     "type": "git",
0022                     "url": "https://invent.kde.org/frameworks/kdelibs4support.git",
0023                     "tag": "v5.92.0",
0024                     "x-checker-data": {
0025                         "type": "git",
0026                         "tag-pattern": "^v([\\d.]+)$"
0027                     },
0028                     "commit": "45f261c182f81096d32b010d51dcd7c73462bd0c"
0029                 }
0030             ]
0031         },
0032         {
0033             "name": "umbrello",
0034             "buildsystem": "cmake-ninja",
0035             "config-opts": ["-DBUILD_KF5=ON", "-DENABLE_TESTING=OFF", "-DQt5WebKit_DIR=/app/lib/cmake/Qt5WebKit/", "-DQt5WebKitWidgets_DIR=/app/lib/cmake/Qt5WebKitWidgets/"],
0036             "sources": [
0037                 { "type": "git", "url": "https://invent.kde.org/kde/umbrello.git" }
0038             ]
0039         }
0040     ]
0041 }